[arch-commits] Commit in avidemux/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Eric Belanger eric at archlinux.org
Mon Jul 28 19:55:54 EDT 2008


    Date: Monday, July 28, 2008 @ 19:55:54
  Author: eric
Revision: 7243

Merged revisions 5663-7242 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/avidemux/trunk

........
  r7242 | eric | 2008-07-28 19:55:42 -0400 (Mon, 28 Jul 2008) | 2 lines
  
  upgpkg: avidemux 2.4.3-1
      upstream update, switched to cmake build system, fixed license, cleaned up PKGBUILD
........

Modified:
  avidemux/repos/testing-x86_64/	(properties)
  avidemux/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |   44 +++++++++++---------------------------------
 1 file changed, 11 insertions(+), 33 deletions(-)


Property changes on: avidemux/repos/testing-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /avidemux/trunk:1-5662
   + /avidemux/trunk:1-7242

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2008-07-28 23:55:42 UTC (rev 7242)
+++ testing-x86_64/PKGBUILD	2008-07-28 23:55:54 UTC (rev 7243)
@@ -2,49 +2,27 @@
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=avidemux
-pkgver=2.4.2
-origver=$pkgver
+pkgver=2.4.3
 pkgrel=1
 pkgdesc="A graphical tool to edit video (filter/re-encode/split)"
 arch=("i686" "x86_64")
-license=('GPL2')
+license=('GPL')
 url="http://fixounet.free.fr/avidemux/"
 depends=('libxv' 'libvorbis' 'libxml2' 'gtk2>=2.10' 'alsa-lib' 'lame' 'xvidcore' 'faad2>=2.6.1' 'faac' 'sdl' 'x264>=20080625')
-
-# neededpatchesuris=(http://download.berlios.de/avidemux/2.0.38_eq2_patch.diff)
-# neededpatches=(2.0.38_eq2_patch.diff)
-
-#source=(http://fixounet.free.fr/avidemux/$pkgname-$pkgver.tar.gz)
+makedepends=('cmake')
 options=('!makeflags')
-source=("http://download.berlios.de/avidemux/${pkgname}_$origver.tar.gz" \
-        $neededpatchesuris \
-        "avidemux.desktop")
-md5sums=('6c86fcfa491491b83e1291112fe3a3be'
-         'a9cf864c209782307afda5bc6a33a0cd')
+source=("http://download.berlios.de/avidemux/${pkgname}_$pkgver.tar.gz"  "avidemux.desktop")
+md5sums=('ff8e6ac186321e7e8bec9f8177df3724' 'a9cf864c209782307afda5bc6a33a0cd')
 
 build() {
-  cd $startdir/src/${pkgname}_$origver
-
-  # apply patches if needed:
-    if [ -n "$neededpatches" ]    # $neededpatches is not NULL
-    then
-    for i in $neededpatches; do
-        cat $startdir/src/$i | patch -d $pkgname -p0 || return 1
-    done
-    fi
-
-  # the author uses an older version of automake:
-  #autoreconf --force || return 1
-  make -f Makefile.dist || return 1
-
-  # finally, we can start building:
-  ./configure --prefix=/usr \
-	      --without-arts --without-esd
+  cd $startdir/src/${pkgname}_$pkgver
+  mkdir build
+  cd build
+  cmake -D CMAKE_INSTALL_PREFIX=/usr -D CMAKE_BUILD_TYPE=Release .. || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install || return 1
+  make DESTDIR=$startdir/pkg install || return 1
 
   # freedesktop thingies
-  install -Dm644 avidemux_icon.png ${startdir}/pkg/usr/share/pixmaps/avidemux.png
+  install -Dm644 ../avidemux_icon.png ${startdir}/pkg/usr/share/pixmaps/avidemux.png
   install -Dm644 $startdir/src/$pkgname.desktop $startdir/pkg/usr/share/applications/avidemux.desktop
-
 }





More information about the arch-commits mailing list